Bug 981355 - Bluetooth audio not working
Bluetooth audio not working
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:fe7035aa348bc8b2fc1d9301f63...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 10:18 EDT by Francisco Grau
Modified: 2015-09-17 03:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1124996 (view as bug list)
Environment:
Last Closed: 2015-02-17 10:50:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francisco Grau 2013-07-04 10:18:51 EDT
Description of problem:
I have a CREATIVE S2 Wireless speaker system. 
It was working fine using Fedora 17 and any player.
Now I have upgraded to Fedora 19, I can search and pair the speaker system without any problems. But, when I select this Output device in the Sound Settings, it does not work. Not even the test speaker function.

Thank you

Version-Release number of selected component:
gnome-abrt-0.2.12

Additional info:
reporter:       libreport-2.1.5
kernel:         3.9.8-300.fc19.x86_64
libpeerconnection.log: 
type:           libreport
Comment 1 Ned Forrester 2013-08-21 23:54:47 EDT
I have the same symptoms: headset pairs OK, appears in Gnome Sound
Settings, and in Pulseaudio Volume Control.  There is a slight hissing
noise, the volume of which responds to the volume slider in Pulseaudio
Volume Control.  However, no audio ever heard from any source, even 
from the Gnome speaker test. 

I last had this headset working on a different machince running FC12.  
I have been unable to get it work on my new machine under either FC17 
or FC19.  

System:
	Lenovo T530
	Fedora 19:
		3.10.7-200.fc19.x86_64 #1 SMP Thu Aug 15 23:19:45 UTC 2013 
		x86_64 x86_64 x86_64 GNU/Linux
	alsa-firmware-1.0.27-1.fc19.noarch
	alsa-lib-1.0.27.2-1.fc19.x86_64
	alsamixergui-0.9.0-0.14.rc2.fc19.x86_64
	alsa-oss-1.0.17-8.fc19.x86_64
	alsa-oss-libs-1.0.17-8.fc19.x86_64
	alsa-plugins-oss-1.0.27-1.fc19.x86_64
	alsa-plugins-pulseaudio-1.0.27-1.fc19.x86_64
	alsa-tools-firmware-1.0.27-2.fc19.x86_64
	alsa-utils-1.0.27.2-2.fc19.x86_64
	bluez-4.101-9.fc19.x86_64
	bluez-alsa-4.101-9.fc19.x86_64
	bluez-compat-4.101-9.fc19.x86_64
	bluez-cups-4.101-9.fc19.x86_64
	bluez-gstreamer-4.101-9.fc19.x86_64
	bluez-hcidump-2.5-2.fc19.x86_64
	bluez-hid2hci-4.101-9.fc19.x86_64
	bluez-libs-4.101-9.fc19.x86_64
	pulseaudio-3.0-10.fc19.x86_64
	pulseaudio-esound-compat-3.0-10.fc19.x86_64
	pulseaudio-libs-3.0-10.fc19.x86_64
	pulseaudio-libs-glib2-3.0-10.fc19.x86_64
	pulseaudio-module-bluetooth-3.0-10.fc19.x86_64
	pulseaudio-module-gconf-3.0-10.fc19.x86_64
	pulseaudio-module-jack-3.0-10.fc19.x86_64
	pulseaudio-module-x11-3.0-10.fc19.x86_64
	pulseaudio-utils-3.0-10.fc19.x86_64
	pulsecaster-0.1.9-3.fc19.noarch

Device:
	Jabra BT500
--

pactl list sinks

Sink #0
	State: RUNNING
	Name: alsa_output.pci-0000_00_1b.0.analog-stereo
	Description: Built-in Audio Analog Stereo
	Driver: module-alsa-card.c
	Sample Specification: s16le 2ch 48000Hz
	Channel Map: front-left,front-right
	Owner Module: 4
	Mute: no
	Volume: 0: 100% 1: 100%
	        0: 0.00 dB 1: 0.00 dB
	        balance 0.00
	Base Volume: 100%
	             0.00 dB
	Monitor Source: alsa_output.pci-0000_00_1b.0.analog-stereo.monitor
	Latency: 19693 usec, configured 20000 usec
	Flags: HARDWARE HW_MUTE_CTRL HW_VOLUME_CTRL DECIBEL_VOLUME LATENCY 
	Properties:
		alsa.resolution_bits = "16"
		device.api = "alsa"
		device.class = "sound"
		alsa.class = "generic"
		alsa.subclass = "generic-mix"
		alsa.name = "ALC269VC Analog"
		alsa.id = "ALC269VC Analog"
		alsa.subdevice = "0"
		alsa.subdevice_name = "subdevice #0"
		alsa.device = "0"
		alsa.card = "0"
		alsa.card_name = "HDA Intel PCH"
		alsa.long_card_name = "HDA Intel PCH at 0xf3a30000 irq 48"
		alsa.driver_name = "snd_hda_intel"
		device.bus_path = "pci-0000:00:1b.0"
		sysfs.path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"
		device.bus = "pci"
		device.vendor.id = "8086"
		device.vendor.name = "Intel Corporation"
		device.product.id = "1e20"
		device.product.name = "7 Series/C210 Series Chipset Family High Definition Audio Controller"
		device.form_factor = "internal"
		device.string = "front:0"
		device.buffering.buffer_size = "352800"
		device.buffering.fragment_size = "176400"
		device.access_mode = "mmap+timer"
		device.profile.name = "analog-stereo"
		device.profile.description = "Analog Stereo"
		device.description = "Built-in Audio Analog Stereo"
		alsa.mixer_name = "Realtek ALC269VC"
		alsa.components = "HDA:10ec0269,17aa21f6,00100203"
		module-udev-detect.discovered = "1"
		device.icon_name = "audio-card-pci"
	Ports:
		analog-output-speaker: Speakers (priority: 10000, not available)
		analog-output-headphones: Headphones (priority: 9000, available)
	Active Port: analog-output-headphones
	Formats:
		pcm

Sink #1
	State: IDLE
	Name: combined
	Description: Simultaneous output to Built-in Audio Analog Stereo, Jabra BT500
	Driver: module-combine-sink.c
	Sample Specification: s16le 2ch 44100Hz
	Channel Map: front-left,front-right
	Owner Module: 11
	Mute: no
	Volume: 0:  80% 1:  80%
	        0: -5.85 dB 1: -5.85 dB
	        balance 0.00
	Base Volume: 100%
	             0.00 dB
	Monitor Source: combined.monitor
	Latency: 437109 usec, configured 128000 usec
	Flags: DECIBEL_VOLUME LATENCY 
	Properties:
		device.class = "filter"
		device.description = "Simultaneous output to Built-in Audio Analog Stereo, Jabra BT500"
		device.icon_name = "audio-card"
	Formats:
		pcm

Sink #15
	State: RUNNING
	Name: bluez_sink.00_16_8F_08_5C_99
	Description: Jabra BT500
	Driver: module-bluetooth-device.c
	Sample Specification: s16le 1ch 8000Hz
	Channel Map: mono
	Owner Module: 51
	Mute: no
	Volume: 0: 100%
	        balance 0.00
	Base Volume: 100%
	Monitor Source: bluez_sink.00_16_8F_08_5C_99.monitor
	Latency: 134000 usec, configured 128000 usec
	Flags: HARDWARE HW_VOLUME_CTRL LATENCY 
	Properties:
		bluetooth.protocol = "hsp"
		device.intended_roles = "phone"
		device.description = "Jabra BT500"
		device.string = "00:16:8F:08:5C:99"
		device.api = "bluez"
		device.class = "sound"
		device.bus = "bluetooth"
		bluez.path = "/org/bluez/675/hci0/dev_00_16_8F_08_5C_99"
		bluez.class = "0x20040c"
		bluez.name = "Jabra BT500"
		device.icon_name = "audio-card-bluetooth"
	Ports:
		bluetooth-output: Bluetooth Output (priority: 2000, available)
	Active Port: bluetooth-output
	Formats:
		pcm
Comment 2 Francisco Grau 2013-10-21 03:28:22 EDT
Hi, this problem was resolved more or less for some time. But now there is another problem with the Bluetooth audio. (the audio was working, but the audio preferences dialog will randomly close)

Since the Blueman Device Manager has been included, the bluetooth (Creative S2) speakers are not working anymore. The device pairs ok, but when I choose to "Connect to" "Audio Sink" it will connect properly the speakers (the speakers indicator shows that the pairing is working) and then the Blueman Device Manager will say "Connection Failed: Stream setup failed", then it disconnects the speakers and nothing else happens. The Bluetooth device panel from the Gnome settings does the same thing. It pairs, connects for 2 seconds, then disconnects.
Comment 3 Ned Forrester 2014-01-14 17:12:04 EST
Francisco, how was this resolved for you?  I still am not able to get bluetooth audio to work under Fedora 19.  For me, everything is the same as reported in comment 1, above, except for keeping all packages up-to-date.
Comment 4 Stuart D Gathman 2014-02-02 21:25:11 EST
Same problem with BR-100 audio device - connects, but then gets stream setup failed.  All packages up to date.
Comment 5 Stuart D Gathman 2014-02-03 12:16:49 EST
One possible problem, I see that my bluetooth adapter is 2.0, and the BT audio device is 3.0.  As I understand it, adapters are backward compatible with older protocols, but devices are not.  So it is worth a try to upgrade to a v4.0 adapter.
Comment 6 Stuart D Gathman 2014-03-23 19:19:31 EDT
Upgrading to a 4.0 adapter fixes the problem.  3.0 devices require a 3.0 or newer adapter, and the bluetooth drivers don't seem to be able to detect this problem (it seems like it should be easy - but perhaps there is some braindamage in the protocol where older adapters can't detect newer devices - i.e. the protocol version are not explicit).
Comment 7 Stuart D Gathman 2014-05-11 20:54:01 EDT
Hmm.  I added a 4.0 adapter to a computer with a 2.0 adapter on the motherboard.  It still hangs with "stream setup failed".  Apparently, the mere presence of a 2.0 adapter does the damage.  Let me try blacklisting the driver for the 2.0 adapter.
Comment 8 Stuart D Gathman 2014-07-17 10:00:48 EDT
I blacklisted the motherboard 2.0 adapter, and even disabled it in BIOS.  The only adapter seen is the USB 4.0 adapter - that I did get to work on an older laptop: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Pairing works, but attempting to connect audio get the dreaded "stream setup failed".
Comment 9 Stuart D Gathman 2014-07-28 13:47:49 EDT
Same problem on Fedora 20, two different laptops.  Two different speakers.  Bluetooth dongle that worked in F17.
Comment 10 Stuart D Gathman 2014-07-29 21:39:38 EDT
Suddenly (perhaps after some updates, none of which look related), the F19 laptop that was working now gets:
Jul 29 21:25:19 silver bluetoothd[775]: bluetoothd[775]: Permission denied (13)
Jul 29 21:25:19 silver bluetoothd[775]: Permission denied (13)

There are no "denied" entries in audit.log
Comment 11 Fedora End Of Life 2015-01-09 13:40:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 10:50:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.